
Redmine - Defect #8137

HTML email doesn't obey directionality of locale

2011-04-13 10:42 - Ebrahim Mohammadi

Status: Closed Start date: 2011-04-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.2

Description

HTML emails currently miss directionality, while they should obey directionality of some locale. Some choices:

1. site-wide default locale

Easiest workaround to implement.

2. recipient user's locale

Most irrelevant and hardest to implement workaround! Because language of content is not necessarily same as content, and on

the other hand you have to generate the email with both directions and select which to send to each recipient.

3. locale of contents of originating project (needs #8058 to be implemented)

The correct solution IMHO.

Related issues:

Related to Redmine - Feature #8058: Separation of content language from UI la... New 2011-04-04

Related to Redmine - Feature #8147: Multilangual Email header / footer New 2011-04-14

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Is duplicate of Redmine - Feature #5990: Email notification should reflect us... Closed 2010-07-29

History

#1 - 2011-04-13 11:35 - Jean-Philippe Lang

- Category changed from UI to I18n

#2 - 2013-02-16 09:21 - Toshi MARUYAMA

- Category changed from I18n to Email notifications

#3 - 2015-02-28 14:50 - Ben Scott

+1

#4 - 2017-11-26 05:28 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#5 - 2018-11-30 14:11 - Marius BĂLTEANU

- Related to deleted (Feature #5990: Email notification should reflect user language setting)

#6 - 2018-11-30 14:11 - Marius BĂLTEANU

- Is duplicate of Feature #5990: Email notification should reflect user language setting added

#7 - 2018-11-30 14:14 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this in favour of #5990 (is the same feature request IMHO).
